You are not logged in.

#251 2014-03-31 15:59:01

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

Awesome, thanks.


Author of Aura

Offline

#252 2014-04-04 09:25:16

aexoxea
Member
Registered: 2012-11-17
Posts: 62

Re: Aura - 1.3.5 *Please update to fix breakage*

...and now haskell-cereal is up to date (thanks to the established maintainer). So that's all of them (re: #1398902).

(I hadn't done any follow-up on any of the packages concerned beyond the initial flag-and-comment, so don't really deserve any credit for their getting updated now; that's all due to the efforts of the maintainers, and any others that have being doing such follow-ups).

Anyways, hopefully new installs and updates will go smoothly now smile.

Offline

#253 2014-04-05 21:07:42

essence-of-foo
Member
Registered: 2008-07-12
Posts: 63

Re: Aura - 1.3.5 *Please update to fix breakage*

I have two questions:

In which directory does Aura build packages from the AUR?
In which directory does Aura store old PKGBUILDs?

Offline

#254 2014-04-06 04:47:13

aexoxea
Member
Registered: 2012-11-17
Posts: 62

Re: Aura - 1.3.5 *Please update to fix breakage*

aexoxea wrote:
gondsman wrote:
gondsman wrote:

aura >>= AUR API lookup failed. Please check your connection.

[#1386155]

I'm sorry to bother you again, but I haven't found any way to solve this problem.

[#1398580]

I was hit with these same symptoms in the versions prior to 1.2.3.0, with comments on the aur/aura package page suggesting at least a few others were too. Since 1.2.3.0 the symptoms went away, because:

fosskers wrote:

Aura has moved off of `haskell-curl` in version 1.2.3.0 and the problem is totally fixed.

[#1379993]

If your difficulties began after updating to 1.2.3.0 or above, the panoply of makedepends pulled in for the 1.2.3.0 update (if using the normal aur/aura package) might provide further clues on where the issue could lie. Unfortunately I can't really help beyond that (and mainly just wanted to note the above), but I wish you luck with same.

I just realised I missed a piece from this; the affected version(s) of aura (before 1.2.3.0) should work if you downgrade core/curl to 7.33.0-3 or below (that was how I was able to keep it working here). Given that all of the makedepends PKGBUILDs have been updated, you should theoretically be able to downgrade core/curl, update through aura normally, then upgrade core/curl back to the latest version.

Anyways, I promise to stop spamming the thread now and leave all the future question-answering to @fosskers big_smile.

Offline

#255 2014-04-07 05:53:18

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

@aexoxea: No, I appreciate your input.

@essence-of-foo: By default, Aura builds in temporary folders within the package cache (/var/cache/pacman/pkg)
Old PKGBUILDs are stored in (/var/cache/aura/pkgbuilds)


Author of Aura

Offline

#256 2014-04-08 13:28:02

gondsman
Member
Registered: 2009-07-27
Posts: 84

Re: Aura - 1.3.5 *Please update to fix breakage*

aexoxea wrote:

I just realised I missed a piece from this; the affected version(s) of aura (before 1.2.3.0) should work if you downgrade core/curl to 7.33.0-3 or below (that was how I was able to keep it working here). Given that all of the makedepends PKGBUILDs have been updated, you should theoretically be able to downgrade core/curl, update through aura normally, then upgrade core/curl back to the latest version.

I'm having issues from 1.2.3.0 on, never had a problem before. I'm using the aura-bin package from AUR though, I'll try to compile it myself and see if it changes.

Offline

#257 2014-04-08 17:14:45

bstaletic
Member
Registered: 2014-02-02
Posts: 601

Re: Aura - 1.3.5 *Please update to fix breakage*

@gondesman
I'm using aura-bin 1.2.3.0 and everything works. Download tarball and run makepkg -s followed by pacman -U.

Offline

#258 2014-04-09 20:51:50

gondsman
Member
Registered: 2009-07-27
Posts: 84

Re: Aura - 1.3.5 *Please update to fix breakage*

bstaletic wrote:

@gondesman
I'm using aura-bin 1.2.3.0 and everything works. Download tarball and run makepkg -s followed by pacman -U.

with version 1.2.3.0 I get the error:
aura: InternalIOException getProtocolByName: does not exist (no such protocol name: tcp)

Offline

#259 2014-04-15 11:13:43

flamusdiu
Member
Registered: 2013-05-10
Posts: 36

Re: Aura - 1.3.5 *Please update to fix breakage*

Looks like building 1.2.3.1 doesn't work atm. Here's the out put

aura >>= `aura` PKGBUILD is up to date.
aura >>= Determining dependencies...
aura >>= Dependency checking failed for these reasons:
The dependency `haskell-conduit` demands version `<1.1`but the most recent version is `1.1.0-4`.

So, I pull down the PKGBUILD file and then build it:

==> Making package: aura 1.2.3.1-1 (Tue Apr 15 06:55:18 EDT 2014)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Missing dependencies:
  -> ghc
  -> haskell-regex-base
  -> haskell-regex-pcre
  -> haskell-json
  -> haskell-mtl
  -> haskell-parsec
  -> haskell-transformers
  -> haskell-temporary
  -> haskell-http-conduit
==> ERROR: Could not resolve all dependencies.

So lets install the dependencies:

$ sudo aura -S ghc haskell-{regex-{base,pcre},json,mtl,parsec,transformers,temporary} && sudo aura -Akx haskell-http-conduit
<output removed>
resolving dependencies...
warning: cannot resolve "ghc=7.6.3-1", a dependency of "haskell-transformers"
:: The following package cannot be upgraded due to unresolvable dependencies:
      haskell-transformers

:: Do you want to skip the above package for this upgrade? [y/N] 
error: failed to prepare transaction (unexpected error)
aura >>= Please check your input.

This fails for the wrong ghc version for one of the dependancies so now do this:

$ aura -Si ghc
Repository     : haskell-core
Name           : ghc
Version        : 7.8.2-1
Description    : The Glasgow Haskell Compiler
Architecture   : x86_64
URL            : http://www.haskell.org/ghc/
Licenses       : custom
Groups         : None
Provides       : haskell-array=0.5.0.0  haskell-base=4.7.0.0
                 haskell-binary=0.7.1.0  haskell-bin-package-db=0.0.0.0
                 haskell-bytestring=0.10.4.0  haskell-containers=0.5.5.1
                 haskell-deepseq=1.3.0.2  haskell-directory=1.2.1.0
                 haskell-filepath=1.3.0.2  haskell-ghc-prim=0.3.1.0
                 haskell-haskell2010=1.1.2.0  haskell-haskell98=2.0.0.3
                 haskell-hoopl=3.10.0.1  haskell-hpc=0.6.0.1
                 haskell-integer-gmp=0.5.1.0  haskell-old-locale=1.0.0.6
                 haskell-old-time=1.1.0.2  haskell-pretty=1.1.1.1
                 haskell-process=1.2.0.0  haskell-rts=1.0
                 haskell-template-haskell=2.9.0.0  haskell-time=1.4.2
                 haskell-transformers=0.3.0.0  haskell-unix=2.7.0.1
                 haskell-cabal=1.18.1.3
Depends On     : perl  gmp>=5.0  gcc
Optional Deps  : None
Conflicts With : None
Replaces       : haskell-array<0.5.0.0  haskell-base<4.7.0.0
                 haskell-binary<0.7.1.0  haskell-bin-package-db<0.0.0.0
                 haskell-bytestring<0.10.4.0  haskell-containers<0.5.5.1
                 haskell-deepseq<1.3.0.2  haskell-directory<1.2.1.0
                 haskell-filepath<1.3.0.2  haskell-ghc-prim<0.3.1.0
                 haskell-haskell2010<1.1.2.0  haskell-haskell98<2.0.0.3
                 haskell-hoopl<3.10.0.1  haskell-hpc<0.6.0.1
                 haskell-integer-gmp<0.5.1.0  haskell-old-locale<1.0.0.6
                 haskell-old-time<1.1.0.2  haskell-pretty<1.1.1.1
                 haskell-process<1.2.0.0  haskell-rts<1.0
                 haskell-template-haskell<2.9.0.0  haskell-time<1.4.2
                 haskell-transformers<0.3.0.0  haskell-unix<2.7.0.1
                 haskell-cabal<1.18.1.3
Download Size  : 64361.52 KiB
Installed Size : 812062.00 KiB
Packager       : Magnus Therning <magnus@therning.org>
Build Date     : Sun 13 Apr 2014 12:35:07 PM EDT
Validated By   : MD5 Sum  SHA256 Sum  Signature

Repository     : extra
Name           : ghc
Version        : 7.6.3-1
Description    : The Glasgow Haskell Compiler
Architecture   : x86_64
URL            : http://www.haskell.org/ghc/
Licenses       : custom
Groups         : None
Provides       : haskell-array=0.4.0.1  haskell-base=4.6.0.1
                 haskell-binary=0.5.1.1  haskell-bin-package-db=0.0.0.0
                 haskell-bytestring=0.10.0.2  haskell-containers=0.5.0.0
                 haskell-deepseq=1.3.0.1  haskell-directory=1.2.0.1
                 haskell-filepath=1.3.0.1  haskell-ghc-prim=0.3.0.0
                 haskell-haskell2010=1.1.1.0  haskell-haskell98=2.0.0.2
                 haskell-hoopl=3.9.0.0  haskell-hpc=0.6.0.0
                 haskell-integer-gmp=0.5.0.0  haskell-old-locale=1.0.0.5
                 haskell-old-time=1.1.0.1  haskell-pretty=1.1.1.0
                 haskell-process=1.1.0.2  haskell-template-haskell=2.8.0.0
                 haskell-time=1.4.0.1  haskell-unix=2.6.0.1
                 haskell-cabal=1.16.0
Depends On     : perl  gmp>=5.0  gcc
Optional Deps  : None
Conflicts With : None
Replaces       : haskell-array<0.4.0.1  haskell-base<4.6.0.1
                 haskell-binary<0.5.1.1  haskell-bin-package-db<0.0.0.0
                 haskell-bytestring<0.10.0.2  haskell-containers<0.5.0.0
                 haskell-deepseq<1.3.0.1  haskell-directory<1.2.0.1
                 haskell-filepath<1.3.0.1  haskell-ghc-prim<0.3.0.0
                 haskell-haskell2010<1.1.1.0  haskell-haskell98<2.0.0.2
                 haskell-hoopl<3.9.0.0  haskell-hpc<0.6.0.0
                 haskell-integer-gmp<0.5.0.0  haskell-old-locale<1.0.0.5
                 haskell-old-time<1.1.0.1  haskell-pretty<1.1.1.0
                 haskell-process<1.1.0.2  haskell-template-haskell<2.8.0.0
                 haskell-time<1.4.0.1  haskell-unix<2.6.0.1
                 haskell-cabal<1.16.0
Download Size  : 63570.39 KiB
Installed Size : 753418.00 KiB
Packager       : Thomas Dziedzic <gostrc@gmail.com>
Build Date     : Sun 21 Apr 2013 01:53:39 PM EDT
Validated By   : MD5 Sum  SHA256 Sum  Signature

Seems, the version it wants (the older one) is in the extra's repo. I have the haskell one set up above that one at the moment.

Originally, i had an issue with the haskell upgrades so I removed all the haskell stuff to reinstall to rebuild Aura but no luck. sad

Offline

#260 2014-04-16 23:19:31

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

`haskell-transformers` is at fault. At the moment I can't upgrade ghc at all either, meaning dep conflicts like this are going to occur. I've contacted the `haskell-core` maintainers about the status of `haskell-transformers` so we'll see what comes of it.


Author of Aura

Offline

#261 2014-04-19 01:27:35

flamusdiu
Member
Registered: 2013-05-10
Posts: 36

Re: Aura - 1.3.5 *Please update to fix breakage*

fosskers wrote:

`haskell-transformers` is at fault. At the moment I can't upgrade ghc at all either, meaning dep conflicts like this are going to occur. I've contacted the `haskell-core` maintainers about the status of `haskell-transformers` so we'll see what comes of it.


RGR. I guess I'll just wait around then. THX for the update.

Offline

#262 2014-04-19 20:23:33

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

Just to let you know, I had to nuke-and-pave my entire haskell install to get the problems sorted out. It's fine now, and I'm on 7.8 with no conflicts.


Author of Aura

Offline

#263 2014-05-04 05:56:29

zoqaeski
Member
From: /earth/australia/.
Registered: 2009-09-30
Posts: 124

Re: Aura - 1.3.5 *Please update to fix breakage*

I use Aura for quick installing of packages, but I also use makepkg and pacman standalone for my own forks of software that might be available in the AUR or elsewhere (especially *-git versions). Aura sometimes tries to overwrite these, so would it be worthwhile for Aura to mark all the packages that it builds and installs? Maybe by automatically appending an "aura" group, or [an option to do] something like that?

Oh, and I don't know if this has been raised before, but running aura with an operation and `-h` results in it reporting conflicting flags. In pacman the same combination of operation and flag gives a brief help about the flags available.

Last edited by zoqaeski (2014-05-04 05:58:36)

Offline

#264 2014-05-05 22:43:03

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

1. Unfortunately Aura has no way of knowing _how_ a particular package was previously installed. If it sees that a local foreign (AUR or otherwise) package has a newer version available, it will build and install the new version, as you've reported, assuming it was an AUR package.
2. One of the aspects of the coming-soon Aura redesign is Aura displaying help information for all major operators with `-h` as pacman does.


Author of Aura

Offline

#265 2014-05-13 02:17:26

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

Hey guys, I made an announcement on the original post in this thread about Aura's redesign. Check it out!


Author of Aura

Offline

#266 2014-05-13 07:24:31

orschiro
Member
Registered: 2009-06-04
Posts: 2,136
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

@fosskers

Your announced redesign sounds great! Concerning contribution, what do you have in mind for contributing except coding?

I would love to contribute. However, I cannot code.

Offline

#267 2014-05-13 15:56:42

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

Not a problem. You can always suggest things to add to the design document. You can do so by either:
1. (the hard way) Doing it through github and making a pull request, or;
2. (the easy way) Indicate a section on here and type what you think should be added, and I'll add it to the dock myself.


Author of Aura

Offline

#268 2014-05-13 18:44:43

GSF1200S
Member
Registered: 2008-12-24
Posts: 434

Re: Aura - 1.3.5 *Please update to fix breakage*

Are you still planning on keeping a bin version in the AUR? I would just like to mention I use frequently the --dryrun option so itd be nice to see that return in the new version. Ive had no issues with Aura and thank you for your hard work!

Offline

#269 2014-05-13 20:47:39

Spyhawk
Member
Registered: 2006-07-07
Posts: 402

Re: Aura - 1.3.5 *Please update to fix breakage*

3. Better bash parsing

I'm not sure if you are aware of it yet, but there is some good stuff coming with AUR v3.0.0, namely {make,opt}depends arrays accessible through the RPC interface (at least for the x64 architecture).
In other words, all the bash parsing might become useless in the near future. All helpers could get rid of lot of hacky code and benefit of a secure *and* accurate solver.

Offline

#270 2014-05-14 00:10:01

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

GSF1200S wrote:

Are you still planning on keeping a bin version in the AUR?

Yes!

Spyhawk wrote:

...depends arrays accessible through the RPC interface...

Music to my ears (eyes?). Where can I keep up to date on this?


Author of Aura

Offline

#271 2014-05-14 04:25:34

Spyhawk
Member
Registered: 2006-07-07
Posts: 402

Re: Aura - 1.3.5 *Please update to fix breakage*

fosskers wrote:

Music to my ears (eyes?). Where can I keep up to date on this?

Check the aur-dev mailing list for the patches thread and annoncement. It's already online on the dev server.

It's based on the AUR Metadata (.SRCINFO/.AURINFO files) that has been introduced last year. The PKGBUILDs are bash parsed when creating the tarball before upload, making it easy to create a machine readable format that removes parsing risk on the end user side. I guess we've been waiting for this for a long time, and it's finally coming.

Offline

#272 2014-05-15 03:08:41

fosskers
Member
Registered: 2012-02-21
Posts: 142
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

That's going to make our lives a lot easier. Aura makes redundant http requests with the current setup, and it really slows things down. This will mean a lot fewer calls to the API, too.

Last edited by fosskers (2014-05-15 03:09:04)


Author of Aura

Offline

#273 2014-05-18 09:38:25

orschiro
Member
Registered: 2009-06-04
Posts: 2,136
Website

Re: Aura - 1.3.5 *Please update to fix breakage*

Can someone please try if he can build atom-editor-git?

For me it always fails but on the AUR page people confirm that they can successfully build it using other AUR helpers.

Thus I am wondering if this is an Aura-specific problem or an issue on my system.

npm ERR! Additional logging details can be found in:
npm ERR!     /var/cache/pacman/pkg/atom-editor-git413/atom-editor-git/src/atom/npm-debug.log
npm ERR! not ok code 0

==> ERROR: A failure occurred in build().
    Aborting...


Installing modules ✗

Offline

#274 2014-05-18 10:17:50

bstaletic
Member
Registered: 2014-02-02
Posts: 601

Re: Aura - 1.3.5 *Please update to fix breakage*

@Orschiro
I just tried bulding that package, and succeeded. The problem is on your side.

Offline

#275 2014-05-18 16:20:43

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 12,943

Re: Aura - 1.3.5 *Please update to fix breakage*

orschiro,
I hate to ask,  but... At one point you were running Antegros, is this now an Arch system?  If not, might that not be the issue?

Last edited by ewaller (2014-05-18 16:20:55)


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Like you, I have no idea what you are doing, but I am pretty sure it is wrong...Jasonwryan
----
How to Ask Questions the Smart Way

Offline

Board footer

Powered by FluxBB